Redis - List Keys

Ambil kunci akses cache Redis. Operasi ini memerlukan izin tulis ke sumber daya cache.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cache/redis/{name}/listKeys?api-version=2021-06-01

Parameter URI

Name In Required Type Description
name
path True
  • string

Nama cache Redis.

resourceGroupName
path True
  • string

Nama grup sumber daya.

subscriptionId
path True
  • string

Mendapatkan kredensial langganan yang secara unik mengidentifikasi langganan Microsoft Azure. ID langganan membentuk bagian dari URI untuk setiap panggilan layanan.

api-version
query True
  • string

Versi Api Klien.

Respons

Name Type Description
200 OK

Mencantumkan kunci untuk cache Redis yang ditentukan.

Other Status Codes

Respons kesalahan yang menjelaskan mengapa operasi gagal.

Keamanan

azure_auth

Azure Active Directory Flow OAuth2.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation meniru akun pengguna Anda

Contoh

RedisCacheListKeys

Sample Request

POST https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Cache/redis/cache1/listKeys?api-version=2021-06-01

Sample Response

{
  "primaryKey": "<primaryKey>",
  "secondaryKey": "<secondaryKey>"
}

Definisi

ErrorAdditionalInfo

Info tambahan kesalahan manajemen sumber daya.

ErrorDetail

Detail kesalahan.

ErrorResponse

Respons kesalahan

RedisAccessKeys

Kunci akses cache Redis.

ErrorAdditionalInfo

Info tambahan kesalahan manajemen sumber daya.

Name Type Description
info
  • object

Info tambahan.

type
  • string

Jenis info tambahan.

ErrorDetail

Detail kesalahan.

Name Type Description
additionalInfo

Info tambahan kesalahan.

code
  • string

Kode kesalahan.

details

Detail kesalahan.

message
  • string

Pesan kesalahan.

target
  • string

Target kesalahan.

ErrorResponse

Respons kesalahan

Name Type Description
error

Objek kesalahan.

RedisAccessKeys

Kunci akses cache Redis.

Name Type Description
primaryKey
  • string

Kunci utama saat ini yang dapat digunakan klien untuk mengautentikasi dengan cache Redis.

secondaryKey
  • string

Kunci sekunder saat ini yang dapat digunakan klien untuk mengautentikasi dengan cache Redis.